Criar Chave EPP
curl --request POST \
--url https://api.example.com/cyber/epp \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"operatingSystem": "<string>",
"type": "<string>",
"deviceName": "<string>",
"userHash": "<string>"
}
'import requests
url = "https://api.example.com/cyber/epp"
payload = {
"operatingSystem": "<string>",
"type": "<string>",
"deviceName": "<string>",
"userHash": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operatingSystem: '<string>',
type: '<string>',
deviceName: '<string>',
userHash: '<string>'
})
};
fetch('https://api.example.com/cyber/epp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eppKey": "ABCD-1234-EFGH-5678",
"validUntil": "2025-12-31T23:59:59Z"
}
Cyber (Proteção Digital)
Criar Chave EPP
Gera uma chave de ativação para plataforma de proteção de endpoint (Antivírus).
POST
/
cyber
/
epp
Criar Chave EPP
Visão Geral
Gera uma chave de licença (EPP Key) para ativar a proteção em um dispositivo específico.Autenticação
string
required
Sua chave de API fornecida pela Zentek.
Request Body
string
required
Sistema operacional do dispositivo (
android, ios, windows, macos).string
required
Tipo de proteção:
antivirus.string
required
Nome amigável para identificar o dispositivo.
string
required
Hash único do usuário.
Exemplo de Request
curl -X POST "https://api.partner.zentek.com.br/v1/cyber/epp" \
-H "Content-Type: application/json" \
-H "x-api-key: SUA_API_KEY" \
-d '{
"operatingSystem": "android",
"type": "antivirus",
"deviceName": "Meu Celular",
"userHash": "a1b2c3d4e5f6..."
}'
Response
{
"eppKey": "ABCD-1234-EFGH-5678",
"validUntil": "2025-12-31T23:59:59Z"
}
Was this page helpful?
⌘I
